| Home | Libraries | People | FAQ | More

## Struct template median_impl

boost::accumulators::impl::median_impl — Median estimation based on the quantile estimator.

## Synopsis

    // In header: <boost/accumulators/statistics_fwd.hpp>

    template<typename Sample>
    struct median_impl : public accumulator_base {
      // construct/copy/destruct
      median_impl(dont_care);

      // public member functions
      template<typename Args> result_type result(Args const &) const;
    };

## Description

The algorithm is invoked with a quantile probability of 0.5.

### `median_impl` public construct/copy/destruct

1.     median_impl(dont_care);

### `median_impl` public member functions

1.     template<typename Args> result_type result(Args const & args) const;